Description

I would like to add a network interface to hosts which will we get a statically assigned IP address.

This ip address will currently added to the dhcp config, the interface boots via PXE that should (in my case) not be.

Related issues:

Related to Foreman - Tracker #2409: Networking New

Related to Foreman - Feature #5458: Make setting static IP more user friendly Closed 04/25/2014

History

#1 - 10/24/2014 03:45 AM - Dominic Cleal

- translation missing: en.field_release deleted (27)

- Difficulty deleted (easy)

#2 - 10/24/2014 03:45 AM - Dominic Cleal

- Related to Tracker #2409: Networking added

#3 - 10/24/2014 03:45 AM - Dominic Cleal

- Related to Feature #5458: Make setting static IP more user friendly added

#4 - 12/01/2014 05:10 AM - Marek Hulán

- Status changed from New to Feedback

If I understand the issue, you want Foreman to create DHCP/DNS records for IP you manually put there but you don't want it to configure TFTP. I

think this is already possible, you can just remove TFTP proxy association on your subnet. If you don't want Foreman to automatically suggest IP

(communicating with the subnet DHCP) you can set different IPAM mode (to None or Internal DB for which autosuggestion still works but based on

Foreman DB only).

If I misread it and you don't want Foreman to create any records, just keep the IP, then you can uncheck "managed" flag which tells Foreman not to

create any record in external service.

Does this solve your issue? If not, please explain again.

#5 - 12/01/2014 05:23 AM - Arnold Bechtoldt

Marek Hulán wrote:

If I misread it and you don't want Foreman to create any records, just keep the IP, then you can uncheck "managed" flag which tells Foreman not

to create any record in external service.

 Thanks, I'll try this.

#6 - 05/17/2017 09:34 AM - Anonymous

- Status changed from Feedback to Resolved

05/20/2024 1/2



should be resolved by Foreman 1.8 networking changes
